petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESGetGridSequence

gets the number of steps of grid sequencing that SNES does

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetGridSequence(SNES snes,PetscInt *steps)

Logically Collective on SNES

### Input Parameter

snes -the SNES context

### Output Parameter

steps -the number of refinements to do, defaults to 0

### Options Database Keys

-snes_grid_sequence <steps> -

### Notes

Use SNESGetSolution() to extract the fine grid solution after grid sequencing.

### Keywords

SNES, nonlinear, set, convergence, tolerances

### See Also

SNESSetTrustRegionTolerance(), SNESGetLagPreconditioner(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESSetGridSequence()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages